package com.chenyang.nse.bussiness.entity.orm.table.core.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_key_kms_parameter"
)
public class TCoreKeyKmsParameter extends TInitEntity {
   private String credtid;
   private String credaccesskey;
   private String credsecretkey;
   private String crediv;
   private String credprotocol;
   private String credhost;
   private String credport;
   private String keyid;
   private String keyspec;
   private String keyusage;
   private String origin;
   private String protectionlevel;

   public String getCredtid() {
      return this.credtid;
   }

   public String getCredaccesskey() {
      return this.credaccesskey;
   }

   public String getCredsecretkey() {
      return this.credsecretkey;
   }

   public String getCrediv() {
      return this.crediv;
   }

   public String getCredprotocol() {
      return this.credprotocol;
   }

   public String getCredhost() {
      return this.credhost;
   }

   public String getCredport() {
      return this.credport;
   }

   public String getKeyid() {
      return this.keyid;
   }

   public String getKeyspec() {
      return this.keyspec;
   }

   public String getKeyusage() {
      return this.keyusage;
   }

   public String getOrigin() {
      return this.origin;
   }

   public String getProtectionlevel() {
      return this.protectionlevel;
   }

   public void setCredtid(final String credtid) {
      this.credtid = credtid;
   }

   public void setCredaccesskey(final String credaccesskey) {
      this.credaccesskey = credaccesskey;
   }

   public void setCredsecretkey(final String credsecretkey) {
      this.credsecretkey = credsecretkey;
   }

   public void setCrediv(final String crediv) {
      this.crediv = crediv;
   }

   public void setCredprotocol(final String credprotocol) {
      this.credprotocol = credprotocol;
   }

   public void setCredhost(final String credhost) {
      this.credhost = credhost;
   }

   public void setCredport(final String credport) {
      this.credport = credport;
   }

   public void setKeyid(final String keyid) {
      this.keyid = keyid;
   }

   public void setKeyspec(final String keyspec) {
      this.keyspec = keyspec;
   }

   public void setKeyusage(final String keyusage) {
      this.keyusage = keyusage;
   }

   public void setOrigin(final String origin) {
      this.origin = origin;
   }

   public void setProtectionlevel(final String protectionlevel) {
      this.protectionlevel = protectionlevel;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyKmsParameter)) {
         return false;
      } else {
         TCoreKeyKmsParameter other = (TCoreKeyKmsParameter)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$credtid = this.getCredtid();
            Object other$credtid = other.getCredtid();
            if (this$credtid == null) {
               if (other$credtid != null) {
                  return false;
               }
            } else if (!this$credtid.equals(other$credtid)) {
               return false;
            }

            Object this$credaccesskey = this.getCredaccesskey();
            Object other$credaccesskey = other.getCredaccesskey();
            if (this$credaccesskey == null) {
               if (other$credaccesskey != null) {
                  return false;
               }
            } else if (!this$credaccesskey.equals(other$credaccesskey)) {
               return false;
            }

            Object this$credsecretkey = this.getCredsecretkey();
            Object other$credsecretkey = other.getCredsecretkey();
            if (this$credsecretkey == null) {
               if (other$credsecretkey != null) {
                  return false;
               }
            } else if (!this$credsecretkey.equals(other$credsecretkey)) {
               return false;
            }

            Object this$crediv = this.getCrediv();
            Object other$crediv = other.getCrediv();
            if (this$crediv == null) {
               if (other$crediv != null) {
                  return false;
               }
            } else if (!this$crediv.equals(other$crediv)) {
               return false;
            }

            Object this$credprotocol = this.getCredprotocol();
            Object other$credprotocol = other.getCredprotocol();
            if (this$credprotocol == null) {
               if (other$credprotocol != null) {
                  return false;
               }
            } else if (!this$credprotocol.equals(other$credprotocol)) {
               return false;
            }

            Object this$credhost = this.getCredhost();
            Object other$credhost = other.getCredhost();
            if (this$credhost == null) {
               if (other$credhost != null) {
                  return false;
               }
            } else if (!this$credhost.equals(other$credhost)) {
               return false;
            }

            Object this$credport = this.getCredport();
            Object other$credport = other.getCredport();
            if (this$credport == null) {
               if (other$credport != null) {
                  return false;
               }
            } else if (!this$credport.equals(other$credport)) {
               return false;
            }

            Object this$keyid = this.getKeyid();
            Object other$keyid = other.getKeyid();
            if (this$keyid == null) {
               if (other$keyid != null) {
                  return false;
               }
            } else if (!this$keyid.equals(other$keyid)) {
               return false;
            }

            Object this$keyspec = this.getKeyspec();
            Object other$keyspec = other.getKeyspec();
            if (this$keyspec == null) {
               if (other$keyspec != null) {
                  return false;
               }
            } else if (!this$keyspec.equals(other$keyspec)) {
               return false;
            }

            Object this$keyusage = this.getKeyusage();
            Object other$keyusage = other.getKeyusage();
            if (this$keyusage == null) {
               if (other$keyusage != null) {
                  return false;
               }
            } else if (!this$keyusage.equals(other$keyusage)) {
               return false;
            }

            Object this$origin = this.getOrigin();
            Object other$origin = other.getOrigin();
            if (this$origin == null) {
               if (other$origin != null) {
                  return false;
               }
            } else if (!this$origin.equals(other$origin)) {
               return false;
            }

            Object this$protectionlevel = this.getProtectionlevel();
            Object other$protectionlevel = other.getProtectionlevel();
            if (this$protectionlevel == null) {
               if (other$protectionlevel != null) {
                  return false;
               }
            } else if (!this$protectionlevel.equals(other$protectionlevel)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyKmsParameter;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $credtid = this.getCredtid();
      result = result * 59 + ($credtid == null ? 43 : $credtid.hashCode());
      Object $credaccesskey = this.getCredaccesskey();
      result = result * 59 + ($credaccesskey == null ? 43 : $credaccesskey.hashCode());
      Object $credsecretkey = this.getCredsecretkey();
      result = result * 59 + ($credsecretkey == null ? 43 : $credsecretkey.hashCode());
      Object $crediv = this.getCrediv();
      result = result * 59 + ($crediv == null ? 43 : $crediv.hashCode());
      Object $credprotocol = this.getCredprotocol();
      result = result * 59 + ($credprotocol == null ? 43 : $credprotocol.hashCode());
      Object $credhost = this.getCredhost();
      result = result * 59 + ($credhost == null ? 43 : $credhost.hashCode());
      Object $credport = this.getCredport();
      result = result * 59 + ($credport == null ? 43 : $credport.hashCode());
      Object $keyid = this.getKeyid();
      result = result * 59 + ($keyid == null ? 43 : $keyid.hashCode());
      Object $keyspec = this.getKeyspec();
      result = result * 59 + ($keyspec == null ? 43 : $keyspec.hashCode());
      Object $keyusage = this.getKeyusage();
      result = result * 59 + ($keyusage == null ? 43 : $keyusage.hashCode());
      Object $origin = this.getOrigin();
      result = result * 59 + ($origin == null ? 43 : $origin.hashCode());
      Object $protectionlevel = this.getProtectionlevel();
      result = result * 59 + ($protectionlevel == null ? 43 : $protectionlevel.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyKmsParameter(credtid=" + this.getCredtid() + ", credaccesskey=" + this.getCredaccesskey() + ", credsecretkey=" + this.getCredsecretkey() + ", crediv=" + this.getCrediv() + ", credprotocol=" + this.getCredprotocol() + ", credhost=" + this.getCredhost() + ", credport=" + this.getCredport() + ", keyid=" + this.getKeyid() + ", keyspec=" + this.getKeyspec() + ", keyusage=" + this.getKeyusage() + ", origin=" + this.getOrigin() + ", protectionlevel=" + this.getProtectionlevel() + ")";
   }
}
